node.js - with - win32 x64 72_binding node




O Node Sass ainda não suporta seu ambiente atual: Linux 64 bits com false (10)

Eu consegui resolver esse problema usando o comando abaixo.

npm audit fix - trabalhado para mim

npm audit fix

Eu tentei - não funcionou para mim

sudo npm rebuild node-sass

Então eu tentei - não funcionou para mim

npm uninstall --save-dev node-sass

e

npm install --save-dev node-sass

Obtendo esse erro no Arch Linux com o node-sass. Eu estou usando com gulp-sass .

Node Sass does not yet support your current environment: Linux 64-bit with false

Versões

$ gulp -v
[19:43:15] CLI version 3.9.1
[19:43:15] Local version 3.9.1

$ npm -v
3.9.0

$ node -v
v6.2.0

Mesmo usando este comando npm rebuild node-sass não está mudando nada.


Eu tive o mesmo problema para o Windows x64 Platform.

Apenas atualizei o package.json com a versão mais nova do node-saas em vez de reconstruí-lo, porque para reconstruí-lo você precisa de um ambiente visual de compilação do studio que é difícil de instalar para uma dependência:)…

vá com o mais recente nó-saas você deve estar bem:

"node-sass": "^4.11.0",

Não sei se isso se aplica aqui, mas para mim, acabei de remover node_modules e reinstalar (npm install). O problema foi corrigido.


Remova a pasta node_modules / node-sass e execute npm install (isso pode levar algum tempo com base nas dependências) e execute o npm run build

Isto deve resolver o problema


Se desinstalar e instalar o node-sass não funcionar, tente remover a pasta npm install e a npm install


Vá para o caminho em que o node-sass está presente e execute este comando

npm rebuild node-sass --force

Isso resolveu meu problema


em alguns casos, você precisa desinstalar e instalar a biblioteca node-sass. Experimentar:

npm uninstall --save-dev node-sass

e

npm install --save-dev node-sass

executar npm rebuild node-sass

ou

executar sudo npm rebuild node-sass


A partir de julho de 2019 com o Node v12 -

O node-sass v4.11.0 não funciona com o Node 12.

Eu enfrentei este problema quando atualizei o nó para a v12.

Reconstruir o node-sass como sugerido pelas outras respostas também não funcionou.

A atualização do node-sass para a v4.12.0 corrigiu para mim.

npm install [email protected]






node-sass